<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/Parser.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Parser.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/Parser.hh</b>
<div><a href="../../Source/Synopsis/Parser.hh.html" target="content">source code</a></div>
<div><a href="../../FileDetails/Synopsis/Parser.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Lexer.html" target="content" title="(class)">Lexer</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html" target="content" title="(class)">Parser</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Parser.html#DeclKind" target="content" title="(enum)">DeclKind</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/Error.html" target="content" title="(class)">Error</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Parser/Error.html#write_lstd_mostream_A_rconst" target="content" title="(member function)">write</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/Error.html#_tError_l_r" target="content" title="(member function)">~Error</a></div></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#ErrorList" target="content" title="(typedef)">ErrorList</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#Parser_lLexer_A_cSymbolFactory_A_cint_r" target="content" title="(member function)">Parser</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#RuleSet" target="content" title="(enum)">RuleSet</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#ScopeGuard" target="content" title="(struct)">ScopeGuard</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html" target="content" title="(class)">StatusGuard</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#StatusGuard_lParser_A_r" target="content" title="(member function)">StatusGuard</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#my_committed" target="content" title="(data member)">my_committed</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#my_error_mark" target="content" title="(data member)">my_error_mark</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#my_errors" target="content" title="(data member)">my_errors</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#my_lexer" target="content" title="(data member)">my_lexer</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser/StatusGuard.html#my_token_mark" target="content" title="(data member)">my_token_mark</a></div></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#TemplateDeclKind" target="content" title="(enum)">TemplateDeclKind</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#class_body_lPTree_mClassBody_S_A_r" target="content" title="(member function)">class_body</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#class_spec_lPTree_mClassSpec_S_A_cPTree_mEncoding_A_r" target="content" title="(member function)">class_spec</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#compound_statement_lPTree_mBlock_S_A_cbool_r" target="content" title="(member function)">compound_statement</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#const_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_r" target="content" title="(member function)">const_declaration</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#declaration_lPTree_mDeclaration_S_A_r" target="content" title="(member function)">declaration</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#declarator_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_r" target="content" title="(member function)">declarator</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#declarator2_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_cPTree_mNode_S_S_r" target="content" title="(member function)">declarator2</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#declare_lT_S_r" target="content" title="(member function template)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#definition_lPTree_mNode_S_A_r" target="content" title="(member function)">definition</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#enum_spec_lPTree_mEnumSpec_S_A_cPTree_mEncoding_A_r" target="content" title="(member function)">enum_spec</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#function_body_lPTree_mBlock_S_A_r" target="content" title="(member function)">function_body</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#init_declarator_list_lPTree_mNode_S_A_cPTree_mEncoding_A_cbool_cbool_r" target="content" title="(member function)">init_declarator_list</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#integral_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" target="content" title="(member function)">integral_declaration</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#is_allocate_expr_lToken_mType_r" target="content" title="(member function)">is_allocate_expr</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#is_ptr_to_member_lint_r" target="content" title="(member function)">is_ptr_to_member</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#maybe_typename_or_class_template_lToken_A_r" target="content" title="(member function)">maybe_typename_or_class_template</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_comments" target="content" title="(data member)">my_comments</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_errors" target="content" title="(data member)">my_errors</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_gt_is_operator" target="content" title="(data member)">my_gt_is_operator</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_in_template_decl" target="content" title="(data member)">my_in_template_decl</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_lexer" target="content" title="(data member)">my_lexer</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_ruleset" target="content" title="(data member)">my_ruleset</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_scope_is_valid" target="content" title="(data member)">my_scope_is_valid</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#my_symbols" target="content" title="(data member)">my_symbols</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#namespace_alias_lPTree_mNamespaceAlias_S_A_r" target="content" title="(member function)">namespace_alias</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#namespace_spec_lPTree_mNamespaceSpec_S_A_r" target="content" title="(member function)">namespace_spec</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#new_declarator_lPTree_mDeclarator_S_A_cPTree_mEncoding_A_r" target="content" title="(member function)">new_declarator</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#opt_integral_type_or_class_spec_lPTree_mNode_S_A_cPTree_mEncoding_A_r" target="content" title="(member function)">opt_integral_type_or_class_spec</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#origin_lconst.char_S_cstd_mstring_A_rconst" target="content" title="(member function)">origin</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#parameter_declaration_lPTree_mParameterDeclaration_S_A_cPTree_mEncoding_A_r" target="content" title="(member function)">parameter_declaration</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#parameter_declaration_list_or_init_lPTree_mNode_S_A_cbool_A_cPTree_mEncoding_A_cbool_r" target="content" title="(member function)">parameter_declaration_list_or_init</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#show_message_head_lconst.char_S_r" target="content" title="(member function)">show_message_head</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#template_decl2_lPTree_mTemplateDecl_S_A_cTemplateDeclKind_A_r" target="content" title="(member function)">template_decl2</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#template_parameter_list_lPTree_mList_S_A_r" target="content" title="(member function)">template_parameter_list</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#type_specifier_lPTree_mNode_S_A_cbool_cPTree_mEncoding_A_r" target="content" title="(member function)">type_specifier</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#typedef__lPTree_mTypedef_S_A_r" target="content" title="(member function)">typedef_</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#using_declaration_lPTree_mUsingDeclaration_S_A_r" target="content" title="(member function)">using_declaration</a></div><div class="href"><a href="../../Scopes/Synopsis/Parser.html#using_directive_lPTree_mUsingDirective_S_A_r" target="content" title="(member function)">using_directive</a></div></div>
</div>

</body>
</html>
